ams_groovebox
	dc.b $0b,$09

;------------------------------------------------------------------------------
; envelopes
;------------------------------------------------------------------------------
am_env_lo
	dc.b <ame_out
	dc.b <ame_in
	dc.b <ame_inout
	dc.b <ame_static
	dc.b <ame_outin

am_env_hi
	dc.b >ame_out
	dc.b >ame_in
	dc.b >ame_inout
	dc.b >ame_static
	dc.b >ame_outin

ame_in
	dc.b $01,$01,$01,$01,$01,$01,$01,$01
	dc.b $01,$01,$01,$01,$01,$01,$01,$01
	dc.b $01,$01,$02,$02,$03,$03,$04,$04
	dc.b $05,$05,$06,$06,$07,$07,$08,$09

ame_out
	dc.b $09,$08,$07,$07,$06,$06,$05,$05
	dc.b $04,$04,$03,$03,$02,$02,$01,$01
	dc.b $01,$01,$01,$01,$01,$01,$01,$01
	dc.b $01,$01,$01,$01,$01,$01,$01,$01

ame_inout
	dc.b $00,$01,$02,$03,$04,$05,$06,$07
	dc.b $08,$09,$09,$09,$09,$09,$09,$09
	dc.b $09,$08,$07,$06,$05,$04,$03,$02
	dc.b $01,$00,$00,$00,$00,$00,$00,$00

ame_static
	dc.b $09,$09,$09,$09,$09,$09,$09,$09
	dc.b $09,$09,$09,$09,$09,$09,$09,$09
	dc.b $09,$09,$09,$09,$09,$09,$09,$09
	dc.b $09,$09,$09,$09,$09,$09,$09,$09
	
ame_outin
	dc.b $09,$08,$07,$06,$05,$04,$03,$02
	dc.b $01,$00,$00,$00,$00,$00,$00,$00
	dc.b $00,$01,$02,$03,$04,$05,$06,$07
	dc.b $08,$09,$09,$09,$09,$09,$09,$09
	
;------------------------------------------------------------------------------









;------------------------------------------------------------------------------
; musikdaten 
;------------------------------------------------------------------------------




	
	
;-----------------------------------------------------------------------------------
;
; instrumente
;
;-----------------------------------------------------------------------------------
ami_duration
	dc.b $FF
	
	dc.b $0c
	dc.b $0a
	dc.b $0b
	dc.b $03
	dc.b $02
	dc.b $10
	
	dc.b $12
	dc.b $4f
	dc.b $ff

ami_code_lo
	dc.b <instnull
	
	dc.b <bassdrum
	dc.b <bassdrum
	dc.b <snaredrum
	dc.b <o_hihat
	dc.b <c_hihat
	dc.b <c_hihat
	
	dc.b <chord1
	dc.b <chord2
	dc.b <chord3

ami_code_hi
	dc.b >instnull
	
	dc.b >bassdrum
	dc.b >bassdrum
	dc.b >snaredrum
	dc.b >o_hihat
	dc.b >c_hihat
	dc.b >c_hihat

	dc.b >chord1
	dc.b >chord2
	dc.b >chord3

ami_ctrl
	dc.b $00
	
	dc.b $00
	dc.b $00
	dc.b $00
	dc.b $00
	dc.b $00
	dc.b $00

	dc.b $00
	dc.b $00
	dc.b $0a

ami_decay
	dc.b $00
	
	dc.b $01
	dc.b $02
	dc.b $01
	dc.b $02
	dc.b $02
	dc.b $00

	dc.b $01
	dc.b $03
	dc.b $02

;-----------------------------------------------------------------------------------


instnull
	SPC $0000,$00
	LOP 0		



bassdrum
	SPC $03Fc,$02
	SPC $0200,$01
;	SPC $0180,$01
;	SPC $0180,$01
	SPC $0100,$01
	SPC $0080,$01
	SPC $0040,$01
	SPC $0020,$01
	SPC $0000,$01
	SPC $0000,$02
	SPC $0000,$00
	LOP 7

snaredrum
	SPC $03fc,$02
	SPC $018F,$01
	SPC $024E,$01
	SPC $03fb,$02
	SPC $03fa,$02
	SPC $03fb,$02
	SPC $03fa,$02
	SPC $03fd,$02
	SPC $03fc,$02
	SPC $03fd,$02
	LOP 5


c_hihat
	SPC $03fc,$02
	SPC $03fb,$02
	SPC $03fb,$02
	SPC $03fb,$02
	LOP 2
		
o_hihat
	SPC $03fb,$02
	SPC $03fc,$02
	SPC $03fd,$02
	LOP 1

	SPC $03fd,$02
	SPC $03fc,$02
	SPC $03fd,$02
	LOP 1

;-------------------






chord1
	STP 12
	STP 13
	LOP 0
	STP 12
	STP 12
	STP 24
	STP 24
	STP 24


chord2
	STP 0
	LOP 0
	
	
chord3
	STP 0
	LOP 0
	
;-----------------------------------------------------------------------------------











	
	
;-----------------------------------------------------------------------------------
;
; tracks
;
;-----------------------------------------------------------------------------------
ams_tracktab_lo
	dc.b <track_null
	dc.b <track_hookline
	dc.b <track_bassline
	dc.b <track_drums
	dc.b <track_drums2
	dc.b <track_drums3
	dc.b <track_drums4
	
ams_tracktab_hi
	dc.b >track_null
	dc.b >track_hookline
	dc.b >track_bassline
	dc.b >track_drums
	dc.b >track_drums2
	dc.b >track_drums3
	dc.b >track_drums4

track_null
	T_SETX 0,$0F,16,0,0,0
	T_HLT
	
HL1	EQU 12
HL2 EQU  0
HL3 EQU 14
HL4 EQU 15
HL5 EQU 19	
HL6 EQU  5	
HL7 EQU 14	
	
track_hookline
	T_SETX   0,$0F,1,2,2,9
	T_SETX HL7,$07,1,2,2,4
	T_SETX HL1,$07,1,2,2,9
	T_SETX   0,$0F,1,2,2,9
	T_SETX   0,$0F,1,2,2,9
	T_SETX HL1,$07,1,2,2,4

	T_SETX   0,$0F,1,2,2,4
	T_SETX HL1,$07,1,2,2,2
	T_SETX HL2,$07,1,2,2,9
	T_SETX   0,$0F,1,2,2,9

	T_SETX   0,$0F,1,2,2,9
	T_SETX HL2,$07,1,2,2,4
	T_SETX   0,$0F,1,2,2,4
	T_SETX HL2,$07,1,2,2,2

	T_SETX HL3,$07,1,2,2,9
	T_SETX   0,$0F,1,2,2,9
	T_SETX   0,$0F,1,2,2,9
	T_SETX HL3,$07,1,2,2,4

	T_SETX HL4,$07,1,2,2,9
	T_SETX HL3,$07,1,2,2,4
	T_SETX   0,$0F,1,2,2,4
	T_SETX HL4,$07,1,2,2,4

	T_SETX HL5,$07,1,2,2,9
	T_SETX   0,$0f,1,2,2,9
	T_SETX HL6,$07,1,2,2,9
	T_SETX HL5,$07,1,2,2,4

	T_SETX   0,$0F,1,2,2,4
	T_SETX HL6,$07,1,2,2,4
	T_SETX HL5,$07,1,2,2,2
	T_SETX   0,$0F,1,2,2,2

	T_SETX HL7,$07,1,2,2,9
	T_SETX   0,$0F,1,2,2,9
	T_HLT


track_bassline
	T_SETX   0,$08,12,0,3,9
	T_SETX   2,$08, 4,0,3,9
	T_SETX   3,$08, 8,0,3,9
	T_SETX   8,$08, 4,0,3,9
	T_SETX  10,$08, 4,0,3,9

	T_SETX   3,$08,12,0,3,9
	T_SETX   2,$08, 4,0,3,9
	T_SETX   3,$08,12,0,3,9
	T_SETX   5,$08, 4,0,3,9
	T_HLT
	
track_drums
	T_SETX 0,1,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,1,1,0,0,9

	T_SETX 0,5,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,1,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,6,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_HLT


track_drums2
	T_SETX 0,1,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,1,1,0,0,9

	T_SETX 0,5,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,1,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,6,1,0,0,9
	T_SETX 0,0,1,0,0,9
	
	
	T_SETX 0,1,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,1,1,0,0,9

	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,6,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_HLT
	
	
track_drums3
	T_SETX 0,1,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,1,1,0,0,4
	T_SETX 0,3,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,1,1,0,0,9
	T_SETX 0,4,1,0,0,4
               
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,6
	T_SETX 0,3,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,7
	T_SETX 0,5,1,0,0,9
	T_SETX 0,1,1,0,0,6
               
	T_SETX 0,1,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,1,1,0,0,4
	T_SETX 0,3,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,1,1,0,0,9
	T_SETX 0,4,1,0,0,4
               
	T_SETX 0,6,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,3,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,3,1,0,0,4
	T_SETX 0,5,1,0,0,9
	T_SETX 0,1,1,0,0,5
	T_HLT

track_drums4
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,4,1,0,0,9

	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,5,1,0,0,9
	T_SETX 0,4,1,0,0,9
	T_SETX 0,6,1,0,0,9
	T_SETX 0,0,1,0,0,9
	T_HLT
	
	
;-----------------------------------------------------------------------------------





;-----------------------------------------------------------------------------------
;
; song
;
;-----------------------------------------------------------------------------------	
ams_seqdata1
	S_TRK 1,0,4

	S_TRK 1,0,4
	
	S_TRK 1,12,4
	S_TRK 1,12,4
	
	S_TRK 1,6,4
	S_TRK 1,6,4

	S_TRK 1,12,4

	S_TRK 1,12,4
	S_TRK 1,12,4

	S_TRK 1,6,4
	S_TRK 1,6,4

	S_HLTX 4

ams_seqdata2
	S_TRK 0,0,4
	
	S_TRK 3,0,3
	S_TRK 4,0,1
	S_TRK 3,0,3
	S_TRK 4,0,1

	S_TRK 3,0,3
	S_TRK 4,0,1
	S_TRK 3,0,3
	S_TRK 4,0,1

	S_TRK 3,0,3
	S_TRK 4,0,1

	S_TRK 6,0,4

	S_TRK 5,0,4
	S_TRK 5,0,4

	S_TRK 5,0,4
	S_TRK 5,0,4

	S_HLTX 4

ams_seqdata3
	S_TRK 0,0,4
	
	S_TRK 2,0,4

	S_TRK 2,0,4
	S_TRK 2,0,4

	S_TRK 2,6,4
	S_TRK 2,6,4

	S_TRK 0,0,4

	S_TRK 2,0,4
	S_TRK 2,0,4

	S_TRK 2,6,4
	S_TRK 2,6,4

	S_HLTX 4
	
;-----------------------------------------------------------------------------------	
